body {
    font-family: 'Montserrat', sans-serif !important;
}

.collapse-icon {
    transition: transform 0.3s ease;
    cursor: pointer;
}
/* When collapsed (hidden), reset rotation */
.collapsed.collapse-icon {
    transform: rotate(0deg);
}
/* When expanded (shown), rotate 180° */
.collapse-icon:not(.collapsed) {
    transform: rotate(180deg);
}

.vertical-text {
    writing-mode: tb-rl;
    transform: rotate(180deg);
    font-weight: bolder;
    font-size: 1.5rem;
}
.montserrat {
    font-family: 'Montserrat', sans-serif;
}
.roboto {
   font-family: 'Roboto Condensed', sans-serif; 
}
.selected {
    text-decoration: underline;
}
.bg-logo {
    background-color: #004482;
}
.bg-logo-pink {
    background-color: #df3c98 !important;
}
.bg-blue {
    background-color: #1f2e6a !important;
    color: white !important;
}
.bg-purple {
    background-color: #5d5fac !important;
    color: white !important;
}
.text-logo {
    color: #004482 !important;
}
.text-logo-pink {
    color: #df3c98;
}
.nav-link:hover {
    text-decoration: underline;
    cursor: pointer;
}

.text-justify {
    text-align: justify;
}

.frame-pdf {
    height: 90vh;
}

@media (max-width: 1000px) {
    #vanish {
        display: none;
    }
    #AAA {
        margin-top: 1rem;
        top: -10rem;
        position: static !important;
    }
    .sm-90 {
        max-width: 90vw;  
    }
  } 

  /* Overlay styles */
#adOverlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background-color: rgba(0, 0, 0, 0.7); /* semi-transparent background */
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 9999;
}

/* Content box */
#adContent {
    position: relative;
    max-width: 600px;
    width: 90%;
}

#adContent img {
    width: 100%;
    border-radius: 10px;
}

/* Close button */
#closeAd {
    position: absolute;
    top: 10px;
    right: 10px;
    background: #fff;
    border: 1px solid black;
    border-radius: 50%;
    width: 30px;
    height: 30px;
    font-size: 18px;
    cursor: pointer;
}

#adText {
      padding: 15px;
    }

    #adText a {
      display: inline-block;
      margin-top: 10px;
      padding: 10px 20px;
      background: #007bff;
      color: #fff;
      text-decoration: none;
      border-radius: 5px;
      transition: background 0.3s;
    }

    #adText a:hover {
      background: #0056b3;
    }